import request from "@/utils/request";

// 查看列表
export function getLabClassYear(query) {
  return request({
    url: "/schoolLabClassYear/getLabClassYear",
    method: "get",
    params: query,
  });
}
// 获取实验室
export function getLabList(plannedStartTime, plannedEndTime, sub) {
  return request({
    url: `/schoolLabClassYear/getLabList?plannedStartTime=${plannedStartTime}&plannedEndTime=${plannedEndTime}&sub=${sub}`,
    method: "get",
  });
}

// 分配实验室
export function getAllocationLab(data) {
  return request({
    url: "/schoolLabClassYear/allocationLab",
    method: "post",
    data,
  });
}
// 查看详情
export function getLabClassYearxq(id) {
  return request({
    url: "/schoolLabClassYear/getLabClassYear/" + id,
    method: "get",
  });
}
